Get Recommendation Session Status

Get Recommendation Session Status
Check recommendation session status

Provides a lightweight way to poll the current progress and state of a recommendation session.

Notes:

  • Use this endpoint instead of the full session GET when polling for completion.
  • Returns the overall status, site-specific analysis states, status messages, and any alerts generated during analysis.
  • Indicates if a rerun is recommended due to environment changes.
Request
URI
GET
https://{api_host}/intelligence/recommendations/{id}/status
COPY
Path Parameters
string
id
Required  

The id of the resource


Authentication
This operation uses the following authentication methods.
Responses
200

The recommendation resource is present. Status may indicate further information.

Returns RecommendationSessionState of type(s) application/json
{
    "recommendation_overall_status": "READY_TO_PUBLISH",
    "recommendation_analysis_states": [
        {
            "site_id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
            "status_message": "",
            "status": "SUCCESS"
        }
    ],
    "recommendation_result_states": [
        {
            "id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
            "site_id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
            "status": "READY_TO_PUBLISH"
        }
    ],
    "rerun_recommended": false,
    "alerts": [],
    "groups_with_alert": []
}
string
recommendation_overall_status
Optional

The status of the recommendation, indicating the current state of the recommendation generation or publication process.

Status Description
WAITING Initial state.
ANALYSIS_IN_PROGRESS Analysis is running.
READY_TO_PUBLISH Analysis complete.
ANALYSIS_FAILED Analysis failed.
PUBLISHED Successfully published to NSX.
PUBLISH_INITIATED Publication started.
PUBLISH_FAILED Publication failed.
DISCOVERY_CANCELED User canceled.
NOTHING_TO_PUBLISH No recommendations generated.
Enumeration: WAITING, READY_TO_PUBLISH, ANALYSIS_IN_PROGRESS, ANALYSIS_FAILED, PUBLISHED, PUBLISH_INITIATED, PUBLISH_FAILED, DISCOVERY_CANCELED, NOTHING_TO_PUBLISH
array of object
recommendation_analysis_states
Optional

Array of status values representing the current state of the recommendation analysis process. Can contain multiple status values if the analysis is being performed across multiple sites or stages.

array of object
recommendation_result_states
Optional

Array of status values representing the current state of the recommendation result. Can contain multiple status values if the analysis is being performed across multiple sites or stages.

string
overall_status_message
Optional
Constraints: maxLength: 2048

Used to communicate any information back to the user while or after processing. Examples of these are any errors/exceptions so far encountered during processing( which should be cleared if processing completes successfully). May be empty.

boolean
rerun_recommended
Optional

Boolean flag indicating whether the recommendation should be rerun. Set to true when continuous monitoring detects changes in effective members, configuration, or other factors that warrant regenerating the recommendation.

array of string
alerts
Optional

Alert reasons is set when recommendation has a alert for user. This does not inhibit the recommendation job.

Enumeration: NON_SUPPORTED_MEMBER_TYPE, EFFECTIVE_COMPUTE_LIMIT_EXCEEDED, RULE_LIMIT_EXCEEDED, SECTION_LIMIT_EXCEEDED, IPSET_MACSET_GROUP_REUSED
array of object
groups_with_alert
Optional

During start/rerun of a recommendation, if some group(s) has alert like unsupported membership types, their respective id(s), path(s), display name(s) and unsupported membership type(s) will be stored and kept in this array.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/intelligence/recommendations/{id}/status